.efi-mobile-menu .navicon {
    display: none;
}

/* Mobile Menu */
.efi-mobile-menu .efi-mobile-logo {
    @apply flex flex-col items-center my-4 mb-2;
}

.efi-mobile-menu .efi-mobile-logo svg {
    @apply w-full max-w-44;
}

.efi-mobile-menu .efi-mobile-logo path {
    @apply fill-tan;
}

.efi-mobile-menu {
    @apply w-3/4 max-w-80 fixed -left-96 z-[9000] block h-dvh overflow-hidden overflow-y-auto;
    @apply bg-teal/90 backdrop-blur shadow-2xl transition-all;
}

body.efi-menu-open .efi-mobile-menu {
    @apply left-0;
}

body.efi-menu-open .efi-menu-overlay {
    @apply z-[8000] fixed bg-dark/50 cursor-pointer backdrop-blur left-0 top-0;
    @apply w-screen h-screen
}

.efi-mobile-menu .default {
    @apply hidden;
}

.efi-mobile-menu-inner {
    @apply px-2 sm:px-4 overflow-auto;
    height: calc(100vh - 200px - 2rem);
    scrollbar-color: rgba(255, 255, 255, 0.2) transparent;
    -webkit-overflow-scrolling: touch;
}

.efi-mobile-menu-inner::-webkit-scrollbar-track,
.efi-mobile-menu-inner::-webkit-scrollbar {
    @apply bg-transparent;
}

.efi-mobile-menu-inner::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.2);
}

.efi-mobile-menu ul, .efi-mobile-menu li {
    @apply list-none m-0 p-0 relative;
}

.efi-mobile-menu .efi-expanded + ul {
    @apply flex flex-col;
}

.efi-mobile-menu li a {
    @apply relative flex items-center justify-between gap-2 w-full h-12;
    @apply leading-none px-2 no-underline;
    @apply text-tan font-sans transition border-b border-tan/10;
    @apply hover:bg-dark/10;
}

.efi-mobile-menu li a.efi-expanded {
    @apply text-dark !bg-tan;
}

.efi-menu-expand {
    @apply flex ml-auto items-center justify-center bg-tan/20 text-tan h-8 w-8 transition-all rounded-full;
    @apply hover:bg-tan hover:text-dark;
}

.efi-menu-expand:after {
    font-family: monospace; /* or a specific standard font like Arial */
    content: "+";
}

.efi-expanded .efi-menu-expand:after {
    content: "−"; /* or "-" if you prefer a hyphen instead of a minus */
}

/* Level 1 */
.efi-mobile-menu > ul {
}

.efi-mobile-menu > ul > li > a {
}

/* Level 2 */
.efi-mobile-menu ul ul {
    @apply hidden bg-dark/10;
}

.efi-mobile-menu ul ul > li > a {
}

/* Level 3 */
.efi-mobile-menu ul ul ul {
    @apply hidden bg-dark/10;
}

.efi-mobile-menu ul ul ul > li > a {
}

/* Level 4 */
.efi-mobile-menu ul ul ul ul {
    @apply hidden bg-dark/10;
}

.efi-mobile-menu ul ul ul ul > li > a {
}

.other-links {
    @apply flex flex-col pt-4;
}

.other-links a {
    @apply flex items-center justify-center px-6 h-10 rounded-full whitespace-nowrap transition;
    @apply bg-tan !text-tan;
}

.other-links .phone-link {
    display: none;
}

.efi-mobile-phone {
    width: 100%;
    color: #fff;
    font-size: initial;
    letter-spacing: 1px;
    box-sizing: border-box;
    text-align: center;
}

.efi-mobile-phone:empty {
    display: none;
}

.efi-mobile-phone a {
    display: block;
    font-size: 2rem;
    color: #fff;
    text-decoration: none;
}

.efi-mobile-social {
    @apply flex items-center justify-center gap-4 text-sm p-2 mb-2;
}

.efi-mobile-social a {
    @apply text-tan text-sm size-4;
}

.efi-mobile-social a svg {
    @apply !size-4 text-tan;
}

.efi-mobile-social:empty {
    @apply hidden;
}
